
.namespace s15_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	if self.Name == "back_s15" then
		NavigationManager.SwitchTo(nil,"s14_SearchSite")	
	end
	
	if self.Name == "bateau_area" and SampleLevel.IsEqual("s16_firstenter",true) then
		-- SequencePlayer.Enabled = true
		-- SequencePlayer.PlaySequence("GP_1501",nil,nil)	
		NavigationManager.SwitchTo(nil,"s15_c01")
	end
	if self.Name == "bateau_area" and SampleLevel.IsEqual("s16_firstenter",false) then
   NavigationManager.SwitchTo(nil,"s16_SearchSite")
	end
		if self.Name == "squelette" then 
			SequencePlayer.Enabled = true
			SequencePlayer.PlaySequence("GP_1503",nil,nil)	
	    end
		if self.Name == "amphore" then 
			SequencePlayer.Enabled = true
			SequencePlayer.PlaySequence("GP_1504",nil,nil)	
	    end
end

function OnEnable()
	AreaHotspot.OnEnable()
	--self.firstclick = true
	OPLog.Log("mon onenable "..self.Name)

end

function PrivateCanClickOn()
	--if SampleLevel.IsEqual("CloseupMecaState","finished")  then
	--	return false
	--end
	
	return true
end
function GetSpecificCursor()

	if	self.Name == "squelette" then
		return 1
	elseif	self.Name == "amphore" then
		return 1
	elseif	self.Name == "back_s15" then
		return 11,"s14"
	elseif self.Name == "bateau_area" and SampleLevel.IsEqual("s16_firstenter",false) then
		return 4,"s16"
	elseif self.Name == "bateau_area"  then
		return 5
	else
		return CURSOR_AREA_HOTSPOT
	end
end


